> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve linked target

> Fetch metadata about your tenant's linked target



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/linkedTargets
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/linkedTargets:
    get:
      summary: Retrieve linked target
      description: Fetch metadata about your tenant's linked target
      operationId: linked-targets-retrieve
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: target_name
          in: query
          description: >-
            Target name (ie. `s3`). If not included, all linked targets are
            returned
          schema:
            type: string
        - name: login_state
          in: query
          description: >-
            Pings to see if connection is active. Only possible for OAuth
            targets
          schema:
            type: boolean
            default: false
        - name: catalog
          in: query
          description: >-
            Request the catalog of available fields/data to be returned in the
            payload
          schema:
            type: boolean
        - name: config
          in: query
          description: Request the underlying config for the linked target
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - target: s3
                      domain: aws.amazon.com
                      label: S3
                      type: api
                      config: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````